"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  BillingSource: () => BillingSource,
  CycleType: () => CycleType,
  DiscountType: () => DiscountType,
  DurationUnit: () => DurationUnit,
  SaleType: () => SaleType,
  SourceType: () => SourceType,
  TaxType: () => TaxType,
  listAppPlansByAppId: () => listAppPlansByAppId4
});
module.exports = __toCommonJS(index_exports);

// src/appmarket-v1-app-plans-app-plans.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/appmarket-v1-app-plans-app-plans.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixAppmarketAppPlansV1AppsPlansUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-market/apps-plans",
        destPath: "/api"
      },
      {
        srcPath: "/api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "bo._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_app-plans";
function listAppPlansByAppId(payload) {
  function __listAppPlansByAppId({ host }) {
    const metadata = {
      entityFqdn: "wix.appmarket.v1.app_plans",
      method: "GET",
      methodFqn: "wix.appmarket.app_plans.v1.AppsPlans.ListAppPlansByAppId",
      packageName: PACKAGE_NAME,
      url: resolveWixAppmarketAppPlansV1AppsPlansUrl({
        protoPath: "/v1/apps-plans/{appIds}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "appPlans.plans.prices.discount.saleOptions.startDate" },
            { path: "appPlans.plans.prices.discount.saleOptions.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listAppPlansByAppId;
}

// src/appmarket-v1-app-plans-app-plans.universal.ts
var SaleType = /* @__PURE__ */ ((SaleType2) => {
  SaleType2["SALE_TYPE_UNSPECIFIED"] = "SALE_TYPE_UNSPECIFIED";
  SaleType2["CYBER_MONDAY"] = "CYBER_MONDAY";
  SaleType2["NOVEMBER_SALE"] = "NOVEMBER_SALE";
  SaleType2["BLACK_FRIDAY"] = "BLACK_FRIDAY";
  SaleType2["DEVELOPER_SALE"] = "DEVELOPER_SALE";
  return SaleType2;
})(SaleType || {});
var DiscountType = /* @__PURE__ */ ((DiscountType2) => {
  DiscountType2["DISCOUNT_TYPE_UNSPECIFIED"] = "DISCOUNT_TYPE_UNSPECIFIED";
  DiscountType2["FIXED_AMOUNT"] = "FIXED_AMOUNT";
  DiscountType2["PERCENTAGE"] = "PERCENTAGE";
  return DiscountType2;
})(DiscountType || {});
var SourceType = /* @__PURE__ */ ((SourceType2) => {
  SourceType2["SOURCE_TYPE_UNSPECIFIED"] = "SOURCE_TYPE_UNSPECIFIED";
  SourceType2["SALE"] = "SALE";
  SourceType2["APP_BENEFIT"] = "APP_BENEFIT";
  return SourceType2;
})(SourceType || {});
var DurationUnit = /* @__PURE__ */ ((DurationUnit2) => {
  DurationUnit2["UNKNOWN_UNIT"] = "UNKNOWN_UNIT";
  DurationUnit2["MONTH"] = "MONTH";
  DurationUnit2["YEAR"] = "YEAR";
  return DurationUnit2;
})(DurationUnit || {});
var CycleType = /* @__PURE__ */ ((CycleType2) => {
  CycleType2["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
  CycleType2["ONE_TIME"] = "ONE_TIME";
  CycleType2["RECURRING"] = "RECURRING";
  return CycleType2;
})(CycleType || {});
var BillingSource = /* @__PURE__ */ ((BillingSource2) => {
  BillingSource2["UNKNOWN"] = "UNKNOWN";
  BillingSource2["WIX"] = "WIX";
  BillingSource2["EXTERNAL"] = "EXTERNAL";
  return BillingSource2;
})(BillingSource || {});
var TaxType = /* @__PURE__ */ ((TaxType2) => {
  TaxType2["NOT_APPLICABLE"] = "NOT_APPLICABLE";
  TaxType2["VAT"] = "VAT";
  TaxType2["GST"] = "GST";
  return TaxType2;
})(TaxType || {});
async function listAppPlansByAppId2(appIds) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({ appIds });
  const reqOpts = listAppPlansByAppId(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { appIds: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["appIds"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/appmarket-v1-app-plans-app-plans.public.ts
function listAppPlansByAppId3(httpClient) {
  return (appIds) => listAppPlansByAppId2(
    appIds,
    // @ts-ignore
    { httpClient }
  );
}

// src/appmarket-v1-app-plans-app-plans.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var listAppPlansByAppId4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(listAppPlansByAppId3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  BillingSource,
  CycleType,
  DiscountType,
  DurationUnit,
  SaleType,
  SourceType,
  TaxType,
  listAppPlansByAppId
});
//# sourceMappingURL=index.js.map