import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { L as ListAppPlansByAppIdResponse } from './appmarket-v1-app-plans-app-plans.universal-DIYQWTDw.mjs';
export { k as AppPlanInfo, A as AppPlans, B as BillingSource, d as Cycle, C as CycleType, f as Discount, g as DiscountSourceDataOneOf, D as DiscountType, e as Duration, b as DurationUnit, G as GetAvailableAppPlansRequest, l as GetAvailableAppPlansResponse, m as GetPricingPageUrlRequest, n as GetPricingPageUrlResponse, i as ListAppPlansByAppIdRequest, h as Plan, P as Price, c as SaleSource, S as SaleType, a as SourceType, j as TaxSettings, T as TaxType, U as UsageBasedDetails } from './appmarket-v1-app-plans-app-plans.universal-DIYQWTDw.mjs';

declare function listAppPlansByAppId$1(httpClient: HttpClient): ListAppPlansByAppIdSignature;
interface ListAppPlansByAppIdSignature {
    /**
     * Retrieves plans for the given apps.
     *
     *
     * Also returns tax settings and currency details. Wix calculates this information
     * based on the 2-letter country code in [ISO-3166 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements)
     * format that you pass in the call's header. If you don't pass a country code in
     * the header, Wix calculates the tax settings and currency details based on the
     * call's IP address. Note that the tax settings and currency details may not resolve
     * properly if you call through a VPN.
     *
     * Prices for plans that are managed outside of Wix aren't returned.
     *
     * Consumers must pay for yearly and multi-yearly plans of your app every month.
     * For these plans this method returns the price that the consumer must pay every
     * month and not the total price for the entire year.
     *
     * > **Notes:**
     * > - The App Plans API doesn't follow any tenancy model. You don't need any permissions to call `List App Plans by App ID`.
     * > - This method only returns app plans that have been activated.
     * @param - List of app IDs to retrieve plans for.
     *
     * Min: 1 app ID
     * Max: 100 app IDs
     */
    (appIds: string[]): Promise<ListAppPlansByAppIdResponse>;
}

declare const listAppPlansByAppId: MaybeContext<BuildRESTFunction<typeof listAppPlansByAppId$1> & typeof listAppPlansByAppId$1>;

export { ListAppPlansByAppIdResponse, listAppPlansByAppId };
