// src/appmarket-v1-app-plans-app-plans.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixAppmarketAppPlansV1AppsPlansUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-market/apps-plans",
        destPath: "/api"
      },
      {
        srcPath: "/api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "bo._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_app-plans";
function listAppPlansByAppId(payload) {
  function __listAppPlansByAppId({ host }) {
    const metadata = {
      entityFqdn: "wix.appmarket.v1.app_plans",
      method: "GET",
      methodFqn: "wix.appmarket.app_plans.v1.AppsPlans.ListAppPlansByAppId",
      packageName: PACKAGE_NAME,
      url: resolveWixAppmarketAppPlansV1AppsPlansUrl({
        protoPath: "/v1/apps-plans/{appIds}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "appPlans.plans.prices.discount.saleOptions.startDate" },
            { path: "appPlans.plans.prices.discount.saleOptions.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listAppPlansByAppId;
}

// src/appmarket-v1-app-plans-app-plans.meta.ts
function listAppPlansByAppId2() {
  const payload = { appIds: ":appIds" };
  const getRequestOptions = listAppPlansByAppId(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/apps-plans/{appIds}",
    pathParams: { appIds: "appIds" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  listAppPlansByAppId2 as listAppPlansByAppId
};
//# sourceMappingURL=meta.mjs.map